#!/usr/bin/env python

'''
'''

__docformat__ = 'restructuredtext'
__version__ = '$Id: $'

import math

import pyglet

from gamelib.GameObject import GameObject
from gamelib.Skeleton import Skeleton

from gamelib import glob
from gamelib import constants as C

from res import background_vectors

class Animal(GameObject):
    def __init__(self, name):
        self.name = name
        self.skeleton = sk = Skeleton(name)
        if name == 'balloons':
            sk.root('Yellow')
            sk.root('Red')
        else:
            sk.root('Root')
            if name == 'seal':
                sk.connect('Root', 'Ball')

        x = getattr(background_vectors, '%s_X' % name)
        y = -1000
        sk.set_position(x, y)

        self.swing = 0

        self.deflection = getattr(C, '%s_DEFLECTION' % self.name.upper())
        self.swing_speed = getattr(C, '%s_SWING_SPEED' % self.name.upper())
        self.entertainment = getattr(C, '%s_ENTERTAINMENT' % self.name.upper())


    def reset(self):
        sk = self.skeleton
        sk.set_position(sk.x, -1000)
        sk.update(0)
        self.purchased = False

    def purchase(self):
        sk = self.skeleton
        y = getattr(background_vectors, '%s_Y' % self.name)
        sk.set_position(sk.x, y)
        self.purchased = True

        if self.name == 'elephant':
            glob.window.play('elephant_attack.mp3')
        if self.name == 'dog':
            glob.window.play('dog_barking_10.mp3')

    def update(self, dt):
        if not self.purchased:
            return

        sk = self.skeleton
        self.swing += dt * self.swing_speed
        if self.name == 'balloons':
            sk['Yellow'].rotation = math.sin(self.swing) * self.deflection
            sk['Red'].rotation = math.cos(self.swing) * self.deflection
        elif self.name == 'seal':
            sk['Ball'].rotation = math.sin(self.swing) * self.deflection
        else:
            sk['Root'].rotation = math.sin(self.swing) * self.deflection
        sk.update(dt) 

        glob.entertainment += self.entertainment

