#!/usr/bin/env python

'''
'''

__docformat__ = 'restructuredtext'
__version__ = '$Id: $'

import random

import pyglet

from gamelib.GameObject import GameObject
from gamelib.Skeleton import Skeleton

from gamelib import glob
from gamelib import constants as C

class Hat(GameObject):
    def __init__(self):
        self.skeleton = sk = Skeleton('hat')
        sk.root('Root')
        sk.set_position(C.HAT_X, C.HAT_Y)
        sk.update(0)

        self.cash_label = pyglet.text.Label('',
            font_name=C.FONT_NAME,
            font_size=14.,
            x=C.HAT_X,
            y=C.HAT_Y - 4,
            color=C.HAT_CASH_COLOR,
            anchor_x='center',
            anchor_y='top')

    def reset(self):
        pass

    def update(self, dt):
        if glob.cash:
            self.cash_label.text = '$%.2f' % glob.cash
        else:
            self.cash_label.text = ''
        #self.cash_label.text += ' (%.2f)' % glob.last_entertainment

    def draw(self):
        self.cash_label.draw()
