#!/usr/bin/env python

'''
'''

__docformat__ = 'restructuredtext'
__version__ = '$Id: $'

import pyglet

from gamelib.GameObject import GameObject
from gamelib.BoneSprite import BoneSprite
from gamelib import constants as C
from gamelib import glob

class Plate(GameObject):
    did_pickup = None

    def __init__(self, i):
        self.i = i
        img = pyglet.resource.image('plate_Plate.png')
        self.sprite = BoneSprite(img, batch=glob.window.batch)
        self.sprite.rotation = C.LIFE_ROTATION
        self.reset()

    def reset(self):
        self.sprite.x = C.LIFE_X 
        self.sprite.y = C.LIFE_Y + self.i * C.LIFE_SPACE_Y

    def update(self, dt):
        if self.i >= glob.lives or (self.i == glob.lives - 1 and
            glob.player.has_plate):
            self.sprite.x = -100
        else:
            self.sprite.x = C.LIFE_X 
            self.sprite.y = C.LIFE_Y + self.i * C.LIFE_SPACE_Y

    def activate(self):
        player = glob.player
        if (player.x > C.LIFE_ACTIVATE_X and 
            not player.has_plate and
            self.i == glob.lives - 1):
            if self.did_pickup:
                self.did_pickup()
            player.ik_left_hand(self.sprite.x, self.sprite.y, 0.3)
            player.has_plate = True
            player.plate.bone_parent = player.skeleton['LeftHand']
            return True
