#!/usr/bin/env python

'''
'''

__docformat__ = 'restructuredtext'
__version__ = '$Id: $'

import pyglet

class SizeableSprite(pyglet.sprite.Sprite):

    x1 = y1 = x2 = y2 = 0

    def set_position(self, x1, y1, x2, y2):
        self.x1 = x1
        self.y1 = y1
        self.x2 = x2
        self.y2 = y2
        self._update_position()
    
    def _update_position(self):
        img = self._texture
        if not self._visible:
            self._vertex_list.vertices[:] = [0, 0, 0, 0, 0, 0, 0, 0]
        else:
            x1 = self.x1
            y1 = self.y1
            x2 = self.x2
            y2 = self.y2
            self._vertex_list.vertices[:] = [x1, y1, x2, y1, x2, y2, x1, y2]

