#!/usr/bin/env python

'''
'''

__docformat__ = 'restructuredtext'
__version__ = '$Id: $'

import pyglet

from res import background_vectors
from gamelib import glob

class Title(object):
    def __init__(self):
        self.img = pyglet.sprite.Sprite(pyglet.resource.image('title.png'))
        self.img.x = background_vectors.title_X
        self.img.y = background_vectors.title_Y
        self.img.opacity = 0
        self.state = 'fadein'

        pyglet.clock.schedule_interval(self.update, 1/30.)

    def draw(self): 
        self.img.draw()
        glob.window.ship.draw()
        glob.window.hat.skeleton.draw()

    def update(self, dt):
        if self.state == 'fadein':
            self.img.opacity += dt * 500
            if self.img.opacity > 255:
                self.img.opacity = 255
                self.state = 'idle'
        elif self.state == 'fadeout':
            self.img.opacity -= dt * 500
            if self.img.opacity < 0:
                self.img.opacity = 0
                self.state = 'done'
        elif self.state == 'done':
            glob.window.pop_dialog()
            glob.window.play_again()
            glob.window.hints.start()
            glob.window.on_update(.01)
            glob.window.on_update(.01)
            pyglet.clock.unschedule(self.update)

    def on_key_press(self, symbol, modifiers):
        self.state = 'fadeout'
        return True

    def on_mouse_press(self, x, y, button, modifiers):
        self.state = 'fadeout'
        return True
