#!/usr/bin/env python

'''
'''

__docformat__ = 'restructuredtext'
__version__ = '$Id: $'

# Cheat keys:
#   C: cash up
#   R: reload constants
#   G: game over
CHEAT = False

FONT_NAME = ('Garamond', 'Baramond',)

TIMESTEP_MAX = 1. / 20

GROUND = 70

WHEEL_INIT = 0
WHEEL_ACCEL = 20
WHEEL_STABILITY_ACCEL = 30
WHEEL_BOUNDS_MARGIN = 100
WHEEL_BOUNDS_ACCEL = 10
WHEEL_BOUNDS_HARD_MARGIN = 10
WHEEL_SPEED = 40

WHEEL_FRICTION = 1
WHEEL_FRICTION_THRESHOLD = 3
WHEEL_FRICTION_ACTIVE = 4
WHEEL_FRICTION_THRESHOLD_ACTIVE = 0.2

WHEEL_BRAKE_FRICTION = 7
WHEEL_BRAKE_START_THRESHOLD = 5
WHEEL_BRAKE_END_THRESHOLD = 3
WHEEL_BRAKE_JUMP = 1

WHEEL_TURN_JUMP = 4

GRAVITY = -1000
GRAVITY_TIMESTEP = 1 / 30.
GRAVITY_TIMESTEP_2 = GRAVITY_TIMESTEP ** 2

BOUNCE_DAMPENING = 0.5
BOUNCE_THRESHOLD = 5

PLATE_ACTIVATE_MAX_DX = 3
PLATE_ACTIVATE_MIN_X = -42
PLATE_ACTIVATE_MAX_X = 30
PLATE_DEFLECTION_CHANGE = 0.005
PLATE_DEFLECTION_CHANGE_ACTIVE = -0.03
PLATE_DEFLECTION_MAX = 0.15
PLATE_DEFLECTION_FALL = 0.08
PLATE_FALL_DX = .003
PLATE_FALL_DR = 2
PLATE_THROW_DY = 30
PLATE_THROW_R = 2.8
PLATE_STABLE_TIME = 12
PLATE_SWING = 3
PLATE_SWING_ACTIVE = 5

AUDIENCE_LEG_SWING = 0.35
AUDIENCE_LEG_SWING_STOPPED = 0.1
AUDIENCE_LEG_SWING_SPEED = 3
AUDIENCE_TORSO_SWING = 0.05
AUDIENCE_TORSO_BOUNCE = -1 
AUDIENCE_WALK_SPEED = 40
AUDIENCE_BOUNDS = 60
AUDIENCE_VARIANCE = 1
AUDIENCE_STOP_CHANCE = 0.01
AUDIENCE_STAY_CHANCE = 0.9
AUDIENCE_STAY_COUNTDOWN = 200
AUDIENCE_ENTER_CHANCE = 0.005
AUDIENCE_ENTER_CHANCE_MIN = 0.0004
AUDIENCE_ENTER_CHANCE_MAX = 0.001
AUDIENCE_STAND_LEG_ROTATION = -0.2

STORE_MARGIN = 80
STORE_PAD_X = 20
STORE_PAD_Y = 20
STORE_COLOR_BG = (0xe9, 0x96, 0x79, 127)
STORE_ITEM_COLOR_BG = (0xff, 0xda, 0xb9, 200)
STORE_ITEM_COLOR_BG_SELECTED = (0xff, 0xff, 0xff, 200)
STORE_ITEM_COLOR_BG_DISABLED = (0x0, 0, 0, 50)
STORE_ITEM_HEIGHT = 60
STORE_ITEM_LEADING = 10
STORE_ITEM_PAD_X = 10

DIALOG_MARGIN = 180
DIALOG_PAD_X = 20
DIALOG_PAD_Y = 20
DIALOG_COLOR_BG = (0xe9, 0x96, 0x79, 127)
DIALOG_ITEM_COLOR_BG = (0xff, 0xda, 0xb9, 200)
DIALOG_ITEM_COLOR_BG_SELECTED = (0xff, 0xff, 0xff, 200)
DIALOG_ITEM_COLOR_BG_DISABLED = (0x0, 0, 0, 50)
DIALOG_ITEM_HEIGHT = 60
DIALOG_ITEM_LEADING = 10
DIALOG_ITEM_PAD_X = 10

HAT_X = 60
HAT_Y = GROUND + 50
HAT_CASH_COLOR = (0, 0, 0, 255)

CASH_BEGIN = 0.

LIVES_BEGIN = 0
LIVES_MAX = 7
LIFE_X = 750
LIFE_Y = GROUND + 50
LIFE_SPACE_Y = 6
LIFE_ROTATION = 0
LIFE_ACTIVATE_X = 700

ENTERTAINMENT_BASE = 0.05
ENTERTAINMENT_TURN = 0.1
ENTERTAINMENT_AIRBORNE = 0.05
ENTERTAINMENT_PLATE = 0.14

CHANCE_ENTERTAINMENT_DEPOSIT = 0.5

HINT_Y = 10

COINS_MAX = 8
COIN_X_MIN = 100
COIN_X_MAX = 700
COIN_Y = GROUND - 5
COIN_DROP_Y = GROUND + 200
COIN_PICKUP_X = 10
COIN_THROW_CHANCE = 0.0005
COIN_THROW_CHANCE_STANDING = 0.002
COIN_THROW_CHANCE_GOLD = 0.20
COIN_PICKUP_Y = GROUND + 50
COIN_PICKUP_DY = 200

PRICE_SPINNING_POLE = 1.50
PRICE_BALLOONS = 5
PRICE_DOG = 10
PRICE_SEAL = 25
PRICE_ELEPHANT = 40

ELEPHANT_DEFLECTION = 0.1
ELEPHANT_SWING_SPEED = 4
ELEPHANT_ENTERTAINMENT = 0.2

DOG_DEFLECTION = 0.2
DOG_SWING_SPEED = 5
DOG_ENTERTAINMENT = 0.1

SEAL_DEFLECTION = 0.05
SEAL_SWING_SPEED = 10
SEAL_ENTERTAINMENT = 0.15

BALLOONS_DEFLECTION = 0.05
BALLOONS_SWING_SPEED = 3
BALLOONS_ENTERTAINMENT = 0.05
