#!/usr/bin/env python
from distutils.core import setup

import os

# The main entry point of the program
script_file = 'run_game.py'

# Create a list of data files.  Add everything in the 'res/' directory.
def add_files(generator, data_files):
    for dirpath, dirnames, filenames in generator:
        for name in list(dirnames):
            if name == 'CVS' or name.startswith('.'):
                dirnames.remove(name)

        data_files[dirpath] = []
        for name in filenames:
            if name.startswith('.'): continue
            suffix = os.path.splitext(name)[1]
            if suffix in ('.pyc', '.pyo'): continue
            if name[0] == '.': continue
            filename = os.path.join(dirpath, name)
            data_files[dirpath].append(os.path.join(dirpath, name))
            #package.write(filename, os.path.join(base, filename))
data_files = {}
add_files(os.walk('res'), data_files)
data_files = data_files.items()
print data_files

# Setup args that apply to all setups, including ordinary distutils.
pyglet_packages = (
        'pyglet', 
        'pyglet.app',
        'pyglet.canvas',
        'pyglet.font', 
        'pyglet.gl', 
        'pyglet.graphics',
        'pyglet.image', 
        'pyglet.image.codecs',
        'pyglet.input',
        'pyglet.libs',
        'pyglet.libs.darwin',
        'pyglet.libs.win32',
        'pyglet.libs.x11',
        'pyglet.media', 
        'pyglet.media.drivers', 
        'pyglet.media.drivers.directsound', 
        'pyglet.media.drivers.openal', 
        'pyglet.media.drivers.pulse', 
        'pyglet.text',
        'pyglet.text.formats',
        'pyglet.window', 
        'pyglet.window.carbon',
        'pyglet.window.win32', 
        'pyglet.window.xlib',
        )

setup_args = dict(
    name='street-performer',
    version='1.0',
    author='Alex Holkner',
    author_email='alex.holkner@gmail.com',
    url='http://pyweek.org',
    data_files=data_files,
    packages=('gamelib', 'res') + pyglet_packages,
    py_modules=('run_game',),
)

# py2exe options
try:
    import py2exe
    setup_args.update(dict(
        windows=[dict(
            script=script_file,
            icon_resources=[(1, 'assets/app3.ico')],
        )],
    ))
except ImportError:
    pass

# py2app options
try:
    import py2app
    setup_args.update(dict(
        app=[script_file],
        options=dict(py2app=dict(
            argv_emulation=True,
            iconfile='assets/app.icns',
            excludes=['Image'],
            frameworks=['/usr/local/lib/libavbin.dylib'],
        )),
    ))
except ImportError:
    pass

setup(**setup_args)
